package request


type AlibabaRetailMarketingItempoolActivityDeleteRequest struct {
    /*
        同城零售活动Id     */
    ActId  *int64 `json:"act_id,omitempty" required:"false" `
    /*
        操作人id     */
    CreatorId  *string `json:"creator_id" required:"true" `
    /*
        操作人名称     */
    CreatorName  *string `json:"creator_name" required:"true" `
    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" required:"false" `
}

func (s *AlibabaRetailMarketingItempoolActivityDeleteRequest) SetActId(v int64) *AlibabaRetailMarketingItempoolActivityDeleteRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityDeleteRequest) SetCreatorId(v string) *AlibabaRetailMarketingItempoolActivityDeleteRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityDeleteRequest) SetCreatorName(v string) *AlibabaRetailMarketingItempoolActivityDeleteRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityDeleteRequest) SetOutActId(v string) *AlibabaRetailMarketingItempoolActivityDeleteRequest {
    s.OutActId = &v
    return s
}

func (req *AlibabaRetailMarketingItempoolActivityDeleteRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.ActId != nil) {
        paramMap["act_id"] = *req.ActId
    }
    if(req.CreatorId != nil) {
        paramMap["creator_id"] = *req.CreatorId
    }
    if(req.CreatorName != nil) {
        paramMap["creator_name"] = *req.CreatorName
    }
    if(req.OutActId != nil) {
        paramMap["out_act_id"] = *req.OutActId
    }
    return paramMap
}

func (req *AlibabaRetailMarketingItempoolActivityDeleteRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}